
HEADERS       = MyClass.h

SOURCES       = android_io.cpp \
		emulate.cpp \
                qt.cpp 
                


QMAKE_CXXFLAGS += -Wno-write-strings
QMAKE_CXXFLAGS += -Wno-unused-parameter
QMAKE_CXXFLAGS += -Wno-unused-variable


#equals(QT_MAJOR_VERSION, 4):
#{
#contains(QT_CONFIG, opengl):{
# message(Building with OpenGL support.)
# DEFINES += OPENGL
#}
#}

linux-*: {
 message(Building for Linux with Alsa support.)
	
     DEFINES += LINUX	
     SOURCES += oss.cpp
     LIBS += -lasound
      }

solaris-*: {
 message(Building for Solaris with Sun audio support.)
	
     DEFINES += SOLARIS
     SOURCES += solaris.cpp
      }

macx-*: {
 message(Building for MacOS with OpenAL support.)
	
     DEFINES += MACOSX
     SOURCES += openal.cpp

     QMAKE_LFLAGS += "-framework OpenAL"
      }

contains(QT_CONFIG, multimedia):{
 message(Building with multimedia support.)
 QT += multimedia
 HEADERS += qmultimedia.h
 DEFINES += MULTIMEDIA
}

contains(QT_CONFIG, webkit):{
 message(Building with webkit support.)
 QT += webkit
 DEFINES += WEBKIT
 QT += network
 HEADERS += download.h

}


QT += widgets
QT += gui

TARGET = glukalka3

